io.vertx.rxjava.amqp

## Class AmqpReceiver

- java.lang.Object
- - io.vertx.rxjava.amqp.AmqpReceiver

- All Implemented Interfaces:
    ReadStream<AmqpMessage>, StreamBase

      public class AmqpReceiver
      extends Object
      implements ReadStream<AmqpMessage>

  Interface used to consume AMQP message as a stream of message. Back pressure is implemented using AMQP credits.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AmqpReceiver>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpReceiver(AmqpReceiver delegate)`
    `AmqpReceiver(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `address()` The listened address.
    `void` | `close()` Closes the receiver.
    `void` | `close(Handler<AsyncResult<Void>> handler)` Closes the receiver.
    `AmqpConnection` | `connection()` Gets the connection having created the receiver.
    `AmqpReceiver` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `boolean` | `equals(Object o)`
    `AmqpReceiver` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `AmqpReceiver` | `fetch(long amount)` Fetch the specified `amount` of elements.
    `AmqpReceiver` | `getDelegate()`
    `AmqpReceiver` | `handler(Handler<AmqpMessage> handler)` Set a data handler.
    `int` | `hashCode()`
    `static AmqpReceiver` | `newInstance(AmqpReceiver arg)`
    `AmqpReceiver` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<AmqpMessage>` | `pipe()` Pause this stream and return a to transfer the elements of this stream to a destination .
    `void` | `pipeTo(WriteStream<AmqpMessage> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `void` | `pipeTo(WriteStream<AmqpMessage> dst, Handler<AsyncResult<Void>> handler)` Pipe this `ReadStream` to the `WriteStream`.
    `AmqpReceiver` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `Single<Void>` | `rxClose()` Closes the receiver.
    `Single<Void>` | `rxPipeTo(WriteStream<AmqpMessage> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `Observable<AmqpMessage>` | `toObservable()`
    `String` | `toString()`
    `io.vertx.proton.ProtonReceiver` | `unwrap()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AmqpReceiver> __TYPE_ARG

  - ### Constructor Detail

    - #### AmqpReceiver

          public AmqpReceiver(AmqpReceiver delegate)

    - #### AmqpReceiver

          public AmqpReceiver(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AmqpReceiver getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<AmqpMessage>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<AmqpMessage> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<AmqpMessage>`

    - #### pipe

          public Pipe<AmqpMessage> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<AmqpMessage>`
      Returns:
        a pipe

    - #### pipeTo

          public void pipeTo(WriteStream<AmqpMessage> dst,
                             Handler<AsyncResult<Void>> handler)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<AmqpMessage>`
      Parameters:
        `dst` - the destination write stream
        `handler` -

    - #### pipeTo

          public void pipeTo(WriteStream<AmqpMessage> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<AmqpMessage>`
      Parameters:
        `dst` - the destination write stream

    - #### rxPipeTo

          public Single<Void> rxPipeTo(WriteStream<AmqpMessage> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `rxPipeTo` in interface `ReadStream<AmqpMessage>`
      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### exceptionHandler

          public AmqpReceiver exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<AmqpMessage>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public AmqpReceiver handler(Handler<AmqpMessage> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public AmqpReceiver pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public AmqpReceiver resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          public AmqpReceiver fetch(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public AmqpReceiver endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<AmqpMessage>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### address

          public String address()

      The listened address.
      Returns:
        the address, not `null`

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Closes the receiver.
      Parameters:
        `handler` - handler called when the receiver has been closed, can be `null`

    - #### close

          public void close()

      Closes the receiver.

    - #### rxClose

          public Single<Void> rxClose()

      Closes the receiver.
      Returns:

    - #### connection

          public AmqpConnection connection()

      Gets the connection having created the receiver. Cannot be `null`
      Returns:
        the connection having created the receiver.

    - #### unwrap

          public io.vertx.proton.ProtonReceiver unwrap()

      Returns:
        the underlying ProtonReceiver.

    - #### newInstance

          public static AmqpReceiver newInstance(AmqpReceiver arg)

Copyright © 2022 Eclipse. All rights reserved.